INTERFACE
SUBROUTINE ATMREF_GEMS_TL(ptamoy, ptamoyd, ptray, pizmoy, pizmoyd, phirad,&
 & pxmus, pxmuv, prm, pgb, prp, pbetal, pbetald, ppsl, ptodaer,&
 & ptodray, promix, promixd) 
 USE PARKIND1 ,ONLY : JPIM ,JPRB
 USE rt6svalues, ONLY : kmu, knp, knt, knang
 REAL(KIND=JPRB), INTENT(IN) :: pgb(-kmu:kmu), prp(knp)
 REAL(KIND=JPRB), INTENT(IN) :: phirad, pxmus, pxmuv
 REAL(KIND=JPRB), INTENT(IN) :: ppsl(0:knang, -1:knang, -kmu:kmu)
 REAL(KIND=JPRB), INTENT(IN) :: ptamoy(0:knt), ptray(0:knt), pizmoy(0:&
 & knt) 
 REAL(KIND=JPRB), INTENT(IN) :: ptamoyd(0:knt), pizmoyd(0:knt)
 REAL(KIND=JPRB), INTENT(IN) :: pbetal(0:knt, 0:knang), ptodaer,&
 & ptodray 
 REAL(KIND=JPRB), INTENT(IN) :: pbetald(0:knt, 0:knang)
 REAL(KIND=JPRB), INTENT(OUT) :: promix
 REAL(KIND=JPRB), INTENT(OUT) :: promixd
 REAL(KIND=JPRB), INTENT(INOUT) :: prm(-kmu:kmu)
END SUBROUTINE ATMREF_GEMS_TL
END INTERFACE
